Skip to content
Browse files

Put upper version bounds on wxHaskell for wxWidgets 2.8

Ignore-this: d7ce71f39546341cb0c8693b1f8eac8a

darcs-hash:20120413121209-75908-75b0f6591e66e21dffd50b22c16f02326a8a24e5.gz
  • Loading branch information...
1 parent eb543cc commit b1c388cfb0ba8a57abfaca511382241cfe60d752 @jodonoghue committed Apr 13, 2012
Showing with 4 additions and 4 deletions.
  1. +3 −3 wx-2.8/wx.cabal
  2. +1 −1 wxcore-2.8/wxcore.cabal
View
6 wx-2.8/wx.cabal
@@ -11,7 +11,7 @@ Description: wxHaskell is a portable and native GUI library for Haskell.
It is built on top of wxWidgets - a comprehensive C++
library that is portable across all major GUI platforms;
including GTK, Windows, X11, and MacOS X. This version
- works with wxWidgets 2.8 and 2.9.
+ works with wxWidgets 2.8 only.
Maintainer: wxhaskell-devel@lists.sourceforge.net
Synopsis: wxHaskell
Data-Files: wx.cabal
@@ -24,7 +24,7 @@ Flag newBase
Library
if flag(splitBase)
- build-depends: wxcore >= 0.13.1,
+ build-depends: wxcore >= 0.13.1 && < 0.90,
stm
if flag(newBase)
build-depends:
@@ -34,7 +34,7 @@ Library
base >= 3 && < 4
else
build-depends: base < 3,
- wxcore >= 0.12.1.6,
+ wxcore >= 0.13.1 && < 0.90,
stm
Exposed-Modules:
View
2 wxcore-2.8/wxcore.cabal
@@ -201,7 +201,7 @@ library
filepath,
parsec,
stm,
- wxdirect > 0.12.1.2,
+ wxdirect > 0.12.1.2 && < 0.90,
directory,
time

0 comments on commit b1c388c

Please sign in to comment.
Something went wrong with that request. Please try again.